> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/orders/update-shipment-address/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Update Shipment Address PUT https://sandbox-api.shipbob.com/2026-07/shipment/{shipmentId}:updateAddress Content-Type: application/json Updates the shipping address for a specific shipment. Reference: https://developer-stage.shipbob.dev/api/orders/update-shipment-address ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Path parameters - `shipmentId` (integer, required) — Unique identifier of the shipment ### Body (application/json) This endpoint expects an Orders.UpdateAddressRequest. - `city` (string, required) — City of customer address - `street_address1` (string, required) — Street Address 1 - `company_name` (string, optional, nullable) — Company name (optional) - `country_code` (string, optional, nullable) — Country code of customer address - `email` (string, optional, nullable) — Customer's email address - `override_verification` (boolean, optional, default: false) — When true, the address is saved even if it fails address validation (validation is bypassed). Defaults to false. - `phone_number` (string, optional, nullable) — Phone number of Recipient address - `recipient_name` (string, optional, nullable) — Name of customer - `state` (string, optional, nullable) — State of customer address - `street_address2` (string, optional, nullable) — Street Address 2 - `zip_code` (string, optional, nullable) — Zipcode of customer address ## Response ### 200 OK - `error` (Orders.ErrorResponse, optional, nullable) — Error details if the update was not successful - `id` (long, optional) — Unique identifier of the shipment - `is_success` (boolean, optional) — Indicates whether the update was successful ## Errors ### 400 Bad Request Error Bad Request - `code` (enum, optional) — Error code identifying the type of error - Allowed values: `INVALID_PARAMETER`, `VALIDATION_ERROR`, `DATABASE_UPDATE_ERROR`, `REPROCESSING_ERROR`, `DEALLOCATE_ERROR`, `NOT_FOUND`, `CONFLICT` - `message` (string, optional, nullable) — Human-readable description of the error ## Types ### Orders.ErrorResponse - `code` (enum, optional) — Error code identifying the type of error - Allowed values: `INVALID_PARAMETER`, `VALIDATION_ERROR`, `DATABASE_UPDATE_ERROR`, `REPROCESSING_ERROR`, `DEALLOCATE_ERROR`, `NOT_FOUND`, `CONFLICT` - `message` (string, optional, nullable) — Human-readable description of the error ## Examples **Request** ```json { "city": "Chicago", "street_address1": "100 Belmont Ave", "company_name": "Acme Corp", "country_code": "US", "email": "john@example.com", "override_verification": false, "phone_number": "555-867-5309", "recipient_name": "John Doe", "state": "IL", "street_address2": "", "zip_code": "60657" } ``` **Response** ```json { "error": {}, "id": 123456, "is_success": true } ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress" payload = { "city": "Chicago", "street_address1": "100 Belmont Ave", "company_name": "Acme Corp", "country_code": "US", "email": "john@example.com", "override_verification": False, "phone_number": "555-867-5309", "recipient_name": "John Doe", "state": "IL", "street_address2": "", "zip_code": "60657" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"city":"Chicago","street_address1":"100 Belmont Ave","company_name":"Acme Corp","country_code":"US","email":"john@example.com","override_verification":false,"phone_number":"555-867-5309","recipient_name":"John Doe","state":"IL","street_address2":"","zip_code":"60657"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress" payload := strings.NewReader("{\n \"city\": \"Chicago\",\n \"street_address1\": \"100 Belmont Ave\",\n \"company_name\": \"Acme Corp\",\n \"country_code\": \"US\",\n \"email\": \"john@example.com\",\n \"override_verification\": false,\n \"phone_number\": \"555-867-5309\",\n \"recipient_name\": \"John Doe\",\n \"state\": \"IL\",\n \"street_address2\": \"\",\n \"zip_code\": \"60657\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"city\": \"Chicago\",\n \"street_address1\": \"100 Belmont Ave\",\n \"company_name\": \"Acme Corp\",\n \"country_code\": \"US\",\n \"email\": \"john@example.com\",\n \"override_verification\": false,\n \"phone_number\": \"555-867-5309\",\n \"recipient_name\": \"John Doe\",\n \"state\": \"IL\",\n \"street_address2\": \"\",\n \"zip_code\": \"60657\"\n}" response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"city\": \"Chicago\",\n \"street_address1\": \"100 Belmont Ave\",\n \"company_name\": \"Acme Corp\",\n \"country_code\": \"US\",\n \"email\": \"john@example.com\",\n \"override_verification\": false,\n \"phone_number\": \"555-867-5309\",\n \"recipient_name\": \"John Doe\",\n \"state\": \"IL\",\n \"street_address2\": \"\",\n \"zip_code\": \"60657\"\n}") .asString(); ``` ```php default request('PUT', 'https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress', [ 'body' => '{ "city": "Chicago", "street_address1": "100 Belmont Ave", "company_name": "Acme Corp", "country_code": "US", "email": "john@example.com", "override_verification": false, "phone_number": "555-867-5309", "recipient_name": "John Doe", "state": "IL", "street_address2": "", "zip_code": "60657" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"city\": \"Chicago\",\n \"street_address1\": \"100 Belmont Ave\",\n \"company_name\": \"Acme Corp\",\n \"country_code\": \"US\",\n \"email\": \"john@example.com\",\n \"override_verification\": false,\n \"phone_number\": \"555-867-5309\",\n \"recipient_name\": \"John Doe\",\n \"state\": \"IL\",\n \"street_address2\": \"\",\n \"zip_code\": \"60657\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "city": "Chicago", "street_address1": "100 Belmont Ave", "company_name": "Acme Corp", "country_code": "US", "email": "john@example.com", "override_verification": false, "phone_number": "555-867-5309", "recipient_name": "John Doe", "state": "IL", "street_address2": "", "zip_code": "60657" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/shipment/1:updateAddress")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```